## vdr-plugin-xine 0.9.3

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,6 @@
 # where are these utilities for image grabbing? (default: anywhere on your PATH)
 #VDR_XINE_Y4MSCALER = /usr/bin/y4mscaler
 #VDR_XINE_Y4MTOPPM  = /usr/bin/y4mtoppm
-#VDR_XINE_PNMCUT    = /usr/bin/pnmcut
 #VDR_XINE_PNMTOJPEG = /usr/bin/pnmtojpeg
 
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
@@ -72,6 +71,10 @@
 
 DEFINES += -DVERIFY_BITMAP_DIRTY=$(VDR_XINE_VERIFY_BITMAP_DIRTY)
 
+ifdef VDR_XINE_VDR_HAS_TRUECOLOR_OSD
+DEFINES += -DVDR_HAS_TRUECOLOR_OSD
+endif
+
 ifdef VDR_XINE_SET_VIDEO_WINDOW
 DEFINES += -DSET_VIDEO_WINDOW
 endif
@@ -84,17 +87,13 @@
 DEFINES += -DY4MTOPPM=\"$(VDR_XINE_Y4MTOPPM)\"
 endif
 
-ifdef VDR_XINE_PNMCUT
-DEFINES += -DPNMCUT=\"$(VDR_XINE_PNMCUT)\"
-endif
-
 ifdef VDR_XINE_PNMTOJPEG
 DEFINES += -DPNMTOJPEG=\"$(VDR_XINE_PNMTOJPEG)\"
 endif
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o xineDevice.o xineLib.o xineOsd.o xineSettings.o xineSetupPage.o xineRemote.o xineExternal.o
+OBJS = $(PLUGIN).o xineDevice.o xineLib.o xineOsd.o xineSettings.o xineSetupPage.o xineRemote.o xineExternal.o vdr172remux.o vdr172h264parser.o
 
 ### The main target:
