## vdr-plugin-xine 0.9.4

=== Makefile ===
--- 
+++ 
@@ -19,15 +19,19 @@
 
 CXX      ?= g++
 #CXX       = /soft/gcc-4.1-20060113/bin/g++ -I/soft/include -L/soft/lib
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
-#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual
-#CXXFLAGS ?= -fPIC -g3 -O0 -Wall -Woverloaded-virtual -Wformat=2 -Wextra
+CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual
+#CXXFLAGS ?= -g3 -O0 -Wall -Woverloaded-virtual
+#CXXFLAGS ?= -g3 -O0 -Wall -Woverloaded-virtual -Wformat=2 -Wextra
 
 ### The directory environment:
 
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -70,10 +74,6 @@
 DEFINES += -DFIFO_DIR=\"$(VDR_XINE_FIFO_DIR)\"
 
 DEFINES += -DVERIFY_BITMAP_DIRTY=$(VDR_XINE_VERIFY_BITMAP_DIRTY)
-
-ifdef VDR_XINE_VDR_HAS_TRUECOLOR_OSD
-DEFINES += -DVDR_HAS_TRUECOLOR_OSD
-endif
 
 ifdef VDR_XINE_SET_VIDEO_WINDOW
 DEFINES += -DSET_VIDEO_WINDOW
@@ -118,36 +118,36 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Reinhard Nissl <rnissl@gmx.de>' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='Reinhard Nissl <rnissl@gmx.de>' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
 
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS) Makefile
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 xineplayer: xineplayer.o Makefile
-	$(CXX) $(CXXFLAGS) xineplayer.o -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) xineplayer.o -o $@
 
-dist: clean
+dist: $(I18Npo) clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
