=== debian/changelog ===
vdr-plugin-xine (0.9.4-12) unstable; urgency=low

  [ Andreas Moog ]
  * debian/patches/vdr-1.7.40.patch: Apply patch from
    Lucian Muresan lucianm.AT.users.sourceforge.net to build with newer
    vdr versions to fix: error: 'vidWin' was not declared in this scope
    (Closes: #709031)

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 Apr 2014 20:53:45 +0200

vdr-plugin-xine (0.9.4-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:24 +0200

vdr-plugin-xine (0.9.4-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:30 +0100

vdr-plugin-xine (0.9.4-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:20:40 +0100

vdr-plugin-xine (0.9.4-8) unstable; urgency=low

  * Standards-Version: 3.9.4
  * Build-depend in vdr-dev (>= 1.7.40)
  * Use debhelper 9
  * Added patch to support VDR 1.7.33 and yaepg (taken from yavdr by
    Lars Hanisch and Holger Schvestka)
  * Fixed formatting strings related security issues

 -- Tobias Grimm <etobi@debian.org>  Sat, 16 Mar 2013 08:52:31 +0100

vdr-plugin-xine (0.9.4-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:36:11 +0200

vdr-plugin-xine (0.9.4-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:17 +0200

vdr-plugin-xine (0.9.4-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:41 +0200

vdr-plugin-xine (0.9.4-4) unstable; urgency=low

  * Uploading to unstable

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Feb 2012 16:03:08 +0100

vdr-plugin-xine (0.9.4-3) experimental; urgency=low

  [ Darren Salt ]
  * Switched to debhelper 7.
  * Build-depend on libxine2-dev instead of libxine-dev.
    This is due to a naming change in xine-lib-1.2.

  [ Tobias Grimm ]
  * Bumped Standards-Version to 3.9.2
  * Updated debian/changelog
  * Added manpage for xineplaye

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Feb 2012 15:29:12 +0100

vdr-plugin-xine (0.9.4-2) experimental; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 19:52:03 +0200

vdr-plugin-xine (0.9.4-1) experimental; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 02:29:31 +0100

vdr-plugin-xine (0.9.3-1) experimental; urgency=low

  * New upstream release
  * Dropped 01_debian.dpatch, README.source and dpatch dependency
  * Updated debian/copyright
  * Fixed noSignal*.mpg links
  * Fixed my uploaders address

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2010 18:20:31 +0100

vdr-plugin-xine (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Updated 01_debian.dpatch
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.1
  * Added installation of noSignal.mpg (Closes: #478656)
  * Updated debian/copyright
  * Removed non-standard shebang line from debian/rules
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 19:36:26 +0100

vdr-plugin-xine (0.8.2-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Build-Depend on vdr-dev (>=1.6.0)
  * Build-Depend on libxine-dev (>= 1.1.90hg+20080321+5ac9723858b2)
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Added Homepage field to debian/control
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Don't automatically convert docs in /usr/share/doc/vdr-plugin-xine
    from iso8859-1 -t utf-8 (Debian docs should be UTF-8 in the first
    place)

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 06 Apr 2008 21:34:14 +0200

vdr-plugin-xine (0.7.11-1) experimental; urgency=low

  * First upload to the official archive (Closes: #445712)
  * New upstream release
    - Updated 01_debian.dpatch
    - Removed 01_upstream.dpatch
    - Removed 02_constness.dpatch
    - Removed 03_extra_keys.dpatch
  * Updated debian/rules to include $(DESTDIR) in build and
    install targets
  * Updated debian/copyright
  * Updated package description
  * Build-Depend on debhelper (>= 5), set COMPAT-Level to 5
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Changed clean-target in debian/rules to not ignore errors
  * Build-Depend on libxine-dev (>= 1.1.90hg+20070930-1)
  * Depend on libxine2-vdr

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 08 Oct 2007 00:48:49 +0200

vdr-plugin-xine (0.7.10-3) experimental; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:51 +0200

vdr-plugin-xine (0.7.10-2) experimental; urgency=low

  * Release for vdrdevel 1.5.1
  * Added myself to Uploaders

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:26 +0100

vdr-plugin-xine (0.7.10-1) experimental; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)

  [ Thomas Schmidt ]
  * Install the plugin-binary via dh_install
  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 21:49:45 +0100

vdr-plugin-xine (0.7.9-7) unstable; urgency=low

  * Added netpbm to Suggest (together with mjpegtools and y4mscaler
    needed for grabbing)

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 15 Dec 2006 22:42:33 +0100

vdr-plugin-xine (0.7.9-6) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.4-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun,  5 Nov 2006 00:00:47 +0100

vdr-plugin-xine (0.7.9-5) unstable; urgency=low


