=== debian/control ===
Source: vdr-plugin-xine
Section: misc
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Darren Salt <linux@youmustbejoking.demon.co.uk>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, gettext, libxine2-dev, txt2man
Standards-Version: 3.9.4
Homepage: http://home.vr-web.de/~rnissl/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-xine.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xine.git

Package: vdr-plugin-xine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, libxine2-vdr
Suggests: y4mscaler, mjpegtools, netpbm
Description: allows xine to be a display for vdr, the Video Disk Recorder
 Plugin for vdr which allows you to use xine, gxine or some other frontend 
 for libxine as a display, instead of relying on an MPEG decoder / TV 
 output card.
 .
 xine >= 0.99.2 and gxine >= 0.4.0 have built-in support for vdr. Other 
 frontends may need to be patched.
 .
 If you want to use the SVDRP 'grab' command, you'll need mjpegtools 
 (from Christian Marillat's archive) and y4mscaler.
