=== debian/watch ===
version=2
http://home.vr-web.de/~rnissl/  vdr-xine-(\d.*)\.tgz
